import axios from "@/utils/request";

export function list(query) {
  return axios({
    url: "/system/custom/configDetail/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveCustomConfig(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/system/custom/configDetail/save"
      : "/system/custom/configDetail/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function devCustomConfig(data) {
  return axios({
    url: "/system/custom/configDetail/delete",
    method: "post",
    data: data
  });
}
